<app-breadcrumb-admin [single]="false" titlePage="Crear Categoria" backPage="Categorias" url="categories"></app-breadcrumb-admin>


<div class="row">
  <div class="col-12">
    <div class="card mb-3">
      <div class="card-header">
        <h3><fa-icon [icon]="faHandPointer"></fa-icon> Nueva Categoria</h3>
      </div>
      <div class="card-body">
        <form class="validate-form" (ngSubmit)="submit(form)" #form="ngForm">
          <label for="name"  class="label-flags">
            <img src="assets/images/flags/Flag_of_mexico.png" width="20px" alt="french" *ngIf="serviceTranslation.getLang() == 'es'">
            <img src="assets/images/flags/Flag_of_United.svg" width="20px" alt="germany" *ngIf="serviceTranslation.getLang() == 'en'">
            <span>Nombre</span>
          </label>
          <input type="text" name="name" placeholder="Nombre" id="name" class="form-control" ngModel required>
          <label for="description"  class="label-flags">
            <img src="assets/images/flags/Flag_of_mexico.png" width="20px" alt="french" *ngIf="serviceTranslation.getLang() == 'es'">
            <img src="assets/images/flags/Flag_of_United.svg" width="20px" alt="germany" *ngIf="serviceTranslation.getLang() == 'en'">
            <span>Descripción</span>
          </label>
          <ckeditor [editor]="Editor" ngModel name="description" id="description"></ckeditor>
          <div class="position-relative form-group">

            <div class="alert alert-primary mt-3" role="alert">
              <fa-icon [icon]="faImages"></fa-icon> Imágenes (Formato png, jpg o jpeg de tamaño 1,280 x 960 a 72 dpi)<br>
            </div>
            <label for="image" class="">Imagen</label>
            <div class="row">
              <div class="col-4">
                <img [src]="url_images + imageInit" class="img-fluid" [alt]="imageInit" *ngIf="imageInit">
                <img [src]="thumbnail" *ngIf="thumbnail" class="img-fluid">
                <img src="assets/images/missing.png" *ngIf="!imageInit && !thumbnail" class="img-fluid">
              </div>
              <div class="col-4 d-flex align-items-center">
                <div class="upload-btn-wrapper">
                  <button class="btn btn-primary cursor" type="button">Selecciona un archivo</button>
                  <input type="file" name="image" id="image" (change)="getImage($event)">
                </div>
              </div>
            </div>
          </div>
          <div class="alert alert-warning mt-3" role="alert">
            <fa-icon [icon]="faImages"></fa-icon> Para agregar galeria al producto, es necesario crearlo primero y posteriormente ir al apartado de edición<br>
          </div>
<!--          <div class="alert alert-primary mt-3" role="alert">-->
<!--            <fa-icon [icon]="faImages"></fa-icon> Imágenes (Formato png, jpg o jpeg de tamaño 1,280 x 960 a 72 dpi)<br>-->
<!--          </div>-->
<!--          <ngx-dropzone (change)="onSelect($event)">-->
<!--            <ngx-dropzone-label>Arrastra tus Images</ngx-dropzone-label>-->
<!--            <ngx-dropzone-image-preview ngProjectAs="ngx-dropzone-preview" *ngFor="let f of files" [file]="f" [removable]="true" (removed)="onRemove(f)">-->
<!--              <ngx-dropzone-label>{{ f.name }} ({{ f.type }})</ngx-dropzone-label>-->
<!--            </ngx-dropzone-image-preview>-->
<!--          </ngx-dropzone>-->
          <button type="submit" [disabled]="form.invalid" class="mt-2 float-end btn btn-primary">
            <fa-icon [icon]="faSave"></fa-icon>
            Guardar
          </button>
        </form>
      </div>
    </div>
  </div>
</div>

